Contenu | Rechercher | Menus

Annonce

La nouvelle clé USB Ubuntu-fr est en prévente
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 10/01/2019, à 01:34

nibe

Problème installation pyzo sous ubuntu 16.04 64 bit

Bonjour et bon début d'année 2019,

J'ai voulu installer pyzo pour programmer en python et j'ai procédé ainsi :

- tout d'abord en suivant les instructions de la documentation de la partie C du document de ce site : http://maths.spip.ac-rouen.fr/IMG/pdf/pyzo-linux.pdf. Message d'erreur lors de l'installation de matplotlib ...
- puis j'ai téléchargé pyzo (Pyzo for linux) à partir de leur site : https://pyzo.org/start.html. J'ai testé, ça fonctionne sauf quand il s'agit d'utiliser matplotlib. Ci-joint le programme puis les messages d'erreurs.
Merci pour vos conseils et idées !

import random as rnd
import matplotlib.pyplot as plt
L=[rnd.randint(1,5) for i in range(10)]
plt.hist(L,5)
plt.show()

Python 3.5.2 (default, Nov 12 2018, 13:43:14) on linux (64 bits).
Unable to update the static FcBlanks: 0x0600
Unable to update the static FcBlanks: 0x0601
Unable to update the static FcBlanks: 0x0602
Unable to update the static FcBlanks: 0x0603
Unable to update the static FcBlanks: 0x06dd
Unable to update the static FcBlanks: 0x070f
Unable to update the static FcBlanks: 0x2028
Unable to update the static FcBlanks: 0x2029
Unable to update the static FcBlanks: 0xfff9
Unable to update the static FcBlanks: 0xfffa
Unable to update the static FcBlanks: 0xfffb
This is the Pyzo interpreter with integrated event loop for PYQT4.
Type 'help' for help, type '?' for a list of *magic* commands.

>>> import random as rnd
import matplotlib.pyplot as plt
L=[rnd.randint(1,5) for i in range(10)]
plt.hist(L,5)
plt.show()
Traceback (most recent call last):
  File "<console>", line 1, in <module>
  File "/usr/lib/python3/dist-packages/matplotlib/pyplot.py", line 114, in <module>
    _backend_mod, new_figure_manager, draw_if_interactive, _show = pylab_setup()
  File "/usr/lib/python3/dist-packages/matplotlib/backends/__init__.py", line 32, in pylab_setup
    globals(),locals(),[backend_name],0)
  File "/usr/lib/python3/dist-packages/matplotlib/backends/backend_qt4agg.py", line 18, in <module>
    from .backend_qt5agg import FigureCanvasQTAggBase as _FigureCanvasQTAggBase
  File "/usr/lib/python3/dist-packages/matplotlib/backends/backend_qt5agg.py", line 15, in <module>
    from .backend_qt5 import QtCore
  File "/usr/lib/python3/dist-packages/matplotlib/backends/backend_qt5.py", line 31, in <module>
    from .qt_compat import QtCore, QtGui, QtWidgets, _getSaveFileName, __version__
  File "/usr/lib/python3/dist-packages/matplotlib/backends/qt_compat.py", line 162, in <module>
    "Matplotlib qt-based backends require an external PyQt4, PyQt5,\n"
ImportError: Matplotlib qt-based backends require an external PyQt4, PyQt5,
or PySide package to be installed, but it was not found.
Traceback (most recent call last):
  File "<console>", line 1, in <module>
NameError: name 'plt' is not defined
Traceback (most recent call last):
  File "<console>", line 1, in <module>
NameError: name 'plt' is not defined

>>>

Hors ligne

#2 Le 12/01/2019, à 02:42

noje

Re : Problème installation pyzo sous ubuntu 16.04 64 bit

Sur le site en lieu est place de téléchargement ils parlent d’une autre façon d’installer sous Linux qui est selon eux plus conventionnel.
As tu essayé de l’installer ainsi :

sudo apt-get install python3-pip python3-pyqt5
sudo python3 -m pip install pyzo --upgrade
pyzo

Efface ce que tu as télécharger ou deinstalle et tente comme ceci pour voir.


Sous Ubuntu depuis 2005.
Passionné de système Unix.

Hors ligne

#3 Le 13/01/2019, à 16:44

nibe

Re : Problème installation pyzo sous ubuntu 16.04 64 bit

Merci pour la réponse !
Oui au départ j'avais directement tapé les commandes sur le terminal, je trouvais ça plus rassurant, et je me souviens qu'il y avait déjà eu un message d'erreur quand j'ai installé matplotlib ... (voir mon message précédent avec le lien du site de l'académie de Rouen).
Les commandes que tu m'écrit ne sont pas exactement la même chose donc je veux bien réessayer.
Quand tu dis "supprimer ce que tu as installé ou téléchargé", je supprime dans mon dossier personnel les deux dossiers .pyzo et pyzo-4.6.1, c'est ça ? J'en ai parlé autour de moi (autres utilisateurs de ubuntu) et on m'a déconseillé de procéder de la sorte. Le problème est que je ne suis que utilisateur et non informaticien ... donc je ne sais pas trop ce que je dois faire sans détériorer mon PC ... Qu'en penses-tu ?

Hors ligne

#4 Le 14/01/2019, à 08:14

noje

Re : Problème installation pyzo sous ubuntu 16.04 64 bit

Les commandes sont directement issue du site officiel.
Oui c’est bien le dossier téléchargé décompressé et pour le .pyzo s’il se trouve dans ton home c’est des fichiers de config (le garder ou non changera rien puisque pyzo ne c’est pas exécuté.

Je ne sais qui t’a précisé ceci ou ce que tu leur as dit mais cette archive décompresser n’est pas un fichier liées aux packages officiel ou au système donc devrais ne rien craindre.

Si tu as vraiment peur garde les commandes données devrait installer Pyzo pour que tu l’exécute donc n’importe où depuis un terminal.

Dernière modification par noje (Le 14/01/2019, à 08:14)


Sous Ubuntu depuis 2005.
Passionné de système Unix.

Hors ligne

#5 Le 14/01/2019, à 08:16

xubu1957

Re : Problème installation pyzo sous ubuntu 16.04 64 bit

Bonjour,

Pour ajouter toi-même les balises code à ton précédent message #1 :

  • Cliquer sur  le lien « Modifier » en bas à droite du message

  • Sélectionner le texte

  • Cliquer sur le <> de l'éditeur de message

1530289742.png

comme indiqué dans le : Retour utilisable de commande


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne